%global _hardened_build 1

Name:		intrace
Version:	1.6
Release:	2%{?dist}
Summary:	Traceroute-like application for network reconnaisance

Group:		Applications/Internet
License:	GPLv2+
URL:		https://github.com/robertswiecki/intrace
Source0:	https://github.com/robertswiecki/intrace/archive/%{name}-%{version}.tar.gz

BuildRequires:  gcc
%description
InTrace is a traceroute-like application that enables users to
enumerate IP hops exploiting existing TCP connections, both initiated
from local network (local system) or from remote hosts. It could be
useful for network reconnaissance and firewall bypassing

%prep
%setup -q -n %{name}-%{name}-%{version}
sed -i 's|-O3|%{optflags}|g' Makefile

%build
make %{?_smp_mflags} V=1


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
install -p %{name} $RPM_BUILD_ROOT/%{_bindir}/


%files
%doc ChangeLog LICENSE.GPLv2 LICENSE.GPLv3
%{_bindir}/%{name}


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Filipe Rosset <rosset.filipe@gmail.com> - 1.6-1
- Bump to 1.6 upstream, fixes FTBFS rhbz#1423742, drop upstreamed patches

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Aug 07 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.5-5
- Fix FTBFS with glibc-2.19 (#1106801)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 06 2014 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.5.2-3
- Disable -Wcast-align warnings (only on ARM). Fixes rhbz#992574

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 10 2013 Peter Robinson <pbrobinson@fedoraproject.org> 1.5-1
- New upstream 1.5 release, cleanup spec

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Oct 27 2009 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.3-2
- Add Fedora optflags for compilation

* Wed Sep 30 2009 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.3-1
- New upstream version with License text in source files and rewritten sender.c
- See comments #8 and #9 in https://bugzilla.redhat.com/show_bug.cgi?id=524386

* Sat Sep 19 2009 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.2-2
- Changes made to spec as per comment in Bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=524386#c2

* Sat Sep 19 2009 Kashyap Chamarthy <kashyapc@fedoraproject.org> - 1.4.2-1
- Initial spec file
